> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List namespaces

> List namespaces with optional search, filtering, sorting, and pagination



## OpenAPI

````yaml /api-specs/cloud/taxonomy-api.yaml get /namespaces
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Microservice responsible for managing the Domino Taxonomy feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Taxonomy Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /namespaces:
    get:
      tags:
        - namespaces
      summary: List namespaces
      description: List namespaces with optional search, filtering, sorting, and pagination
      parameters:
        - description: Search by label or description
          in: query
          name: search
          schema:
            type: string
        - description: Filter by exact label
          in: query
          name: label
          schema:
            type: string
        - description: Sort field (label, tagCount)
          in: query
          name: sort
          schema:
            type: string
        - description: Sort order (asc, desc)
          in: query
          name: order
          schema:
            type: string
        - description: Page size
          in: query
          name: limit
          schema:
            type: integer
        - description: Page offset
          in: query
          name: offset
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/taxonomy.NamespaceListResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    taxonomy.NamespaceListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/taxonomy.NamespaceListItem'
          type: array
        meta:
          $ref: '#/components/schemas/taxonomy.ListMeta'
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    taxonomy.NamespaceListItem:
      properties:
        allowMultipleAssignments:
          type: boolean
        description:
          type: string
        entityCount:
          $ref: '#/components/schemas/taxonomy.EntityCountByType'
        id:
          type: string
        label:
          type: string
        status:
          $ref: '#/components/schemas/taxonomy.NamespaceStatus'
        tagCount:
          type: integer
      type: object
    taxonomy.ListMeta:
      properties:
        filters:
          additionalProperties:
            type: string
          type: object
        pagination:
          $ref: '#/components/schemas/taxonomy.PaginationMeta'
        search:
          type: string
        sort:
          type: string
      type: object
    taxonomy.EntityCountByType:
      properties:
        app:
          type: integer
        netappVolume:
          type: integer
        project:
          type: integer
        total:
          type: integer
      type: object
    taxonomy.NamespaceStatus:
      enum:
        - active
        - deprecated
      type: string
      x-enum-varnames:
        - NamespaceStatusActive
        - NamespaceStatusDeprecated
    taxonomy.PaginationMeta:
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
      type: object

````